## CajaPropertyPageProvider

CajaPropertyPageProvider — Interface to provide additional property pages

## Functions

GList * | caja_property_page_provider_get_pages ()

## Types and Values

| CajaPropertyPageProvider
struct | CajaPropertyPageProviderIface

## Object Hierarchy

        GInterface
        ╰── CajaPropertyPageProvider

## Prerequisites

CajaPropertyPageProvider requires GObject.

## Includes

    #include <libcaja-extension/caja-property-page-provider.h>

## Description

CajaPropertyPageProvider allows extension to provide additional pages for the file properties dialog.

## Functions

### caja_property_page_provider_get_pages ()

    GList *
    caja_property_page_provider_get_pages (CajaPropertyPageProvider *provider,
                                           GList *files);

This function is called by Caja when it wants property page items from the extension.

This function is called in the main thread before a property page is shown, so it should return quickly.

#### Parameters

provider | a CajaPropertyPageProvider |
files | a GList of CajaFileInfo. | [element-type CajaFileInfo]

#### Returns

A GList of allocated CajaPropertyPage items.

[element-type CajaPropertyPage][transfer full]

## Types and Values

### CajaPropertyPageProvider

    typedef struct _CajaPropertyPageProvider CajaPropertyPageProvider;

### struct CajaPropertyPageProviderIface

    struct CajaPropertyPageProviderIface {
        GTypeInterface g_iface;

        GList *(*get_pages) (CajaPropertyPageProvider *provider,
                             GList                    *files);
    };

Interface for extensions to provide additional property pages.

#### Members

GTypeInterface `g_iface`; | The parent interface. |
`get_pages` () | Returns a GList of CajaPropertyPage. See `caja_property_page_provider_get_pages()` for details. |